using System;
using System.Linq;
using System.Reactive.Linq;

namespace RX_Web_Sample.Models
{
    public class DevicesService
    {
        public DevicesService()
        {
            LedObservable = Observable
                .Interval(TimeSpan.FromSeconds(3))
                .Select(o => o % 2 == 0);
        }

        public IObservable<bool> LedObservable { get; }
    }
}
